curl --request GET \
--url https://api.lighthousefh.com/v1/generation-templates \
--header 'Authorization: Bearer <token>'{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": [
[
{
"is_active": true,
"template": {
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"development_stage": "testing",
"display_config": {
"group": "summary",
"location": "summary",
"occurring_is_positive": true
},
"display_name": "<string>",
"execution_type": "summary",
"instructions": "<string>",
"label": "<string>",
"template_type": "at_need",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exact_phrases": [
{
"match_percentage": 123,
"phrase": "<string>"
}
],
"example_limit": 123,
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"upstream_dependencies": [
{
"downstream_template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution_instruction": "condition",
"upstream_template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"condition": {
"expected_result": "<string>",
"generation_found": true
},
"created_at": "2023-11-07T05:31:56Z"
}
]
}
]
],
"message": "<string>",
"request_id": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
curl --request GET \
--url https://api.lighthousefh.com/v1/generation-templates \
--header 'Authorization: Bearer <token>'{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": [
[
{
"is_active": true,
"template": {
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"development_stage": "testing",
"display_config": {
"group": "summary",
"location": "summary",
"occurring_is_positive": true
},
"display_name": "<string>",
"execution_type": "summary",
"instructions": "<string>",
"label": "<string>",
"template_type": "at_need",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exact_phrases": [
{
"match_percentage": 123,
"phrase": "<string>"
}
],
"example_limit": 123,
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"upstream_dependencies": [
{
"downstream_template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution_instruction": "condition",
"upstream_template_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"condition": {
"expected_result": "<string>",
"generation_found": true
},
"created_at": "2023-11-07T05:31:56Z"
}
]
}
]
],
"message": "<string>",
"request_id": "<string>"
}